package nsv3.integration;

import static org.junit.Assert.assertTrue;

import java.io.File;
import java.io.IOException;

import org.junit.Ignore;
import org.junit.Test;

import config.Example;
import edu.udel.cis.vsl.tass.config.VerifyConfiguration;
import edu.udel.cis.vsl.tass.front.minimp.ModelExtractor;
import edu.udel.cis.vsl.tass.model.IF.ModelIF;
import edu.udel.cis.vsl.tass.util.SyntaxException;
import edu.udel.cis.vsl.tass.verify.Verification;

public class IntegrationTestSkip {

	@Test
	@Ignore
	public void integration() throws IOException, SyntaxException {
		ModelIF model;
		File rootDirectory = new File(Example.exampleDirectory,
				"nsv3/integration");
		VerifyConfiguration verifyConfiguration = new VerifyConfiguration(
				new File(rootDirectory, "TASSREP"));

		verifyConfiguration.setSourceFile(new File(rootDirectory,
				"integration-tass.c"));
		verifyConfiguration.setModelName("integration");
		verifyConfiguration.setNumProcs(1);
		verifyConfiguration.setVerbose(true);
		model = ModelExtractor.extractModel(verifyConfiguration);
		assertTrue(Verification.verify(model, verifyConfiguration, true));
	}

}
